"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseSystemConfigurationDataAdapter = void 0;
const SystemConfigDao_1 = require("../../modules/featureFlag/SystemConfigDao");
const URL_SETTINGS_CONFIG_KEY_NAME = 'urlSettings';
class DatabaseSystemConfigurationDataAdapter {
    constructor() {
        this.systemConfigDao = new SystemConfigDao_1.SystemConfigDao();
    }
    async getExternalApiUrl() {
        const config = await this.systemConfigDao.findByConfigName(URL_SETTINGS_CONFIG_KEY_NAME);
        return config?.configValue?.externalApiUrl ?? '';
    }
}
exports.DatabaseSystemConfigurationDataAdapter = DatabaseSystemConfigurationDataAdapter;
//# sourceMappingURL=DatabaseSystemConfigurationDataAdapter.js.map